User S3 keys

List user Object storage keys

get

List Object storage keys by user ID. The user ID is in the response body when the user is created, and in the list of the users, returned by GET.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
userIdstringRequired

The unique ID of the user.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
get
/um/users/{userId}/s3keys

Create user Object storage keys

post

Create an Object storage key for the specified user. The user ID is in the response body when the user is created, and in the list of the users, returned by GET. A maximum of five keys per user can be generated.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
userIdstringRequired

The unique ID of the user.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
post
/um/users/{userId}/s3keys

Retrieve user Object storage keys by key ID

get

Retrieve the specified user Object storage key. The user ID is in the response body when the user is created, and in the list of the users, returned by GET. The key ID is in the response body when the Object storage key is created, and in the list of all user Object storage keys, returned by GET.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
userIdstringRequired

The unique ID of the user.

keyIdstringRequired

The unique ID of the Object storage key.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
get
/um/users/{userId}/s3keys/{keyId}

Modify a Object storage Key by Key ID

put

Enables or disables the specified user Object storage key.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
userIdstringRequired

The unique ID of the user.

keyIdstringRequired

The unique ID of the Object storage key.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: https://<API_HOST>/cloudapi/v6/um/users/15f67991-0f51-4efc-a8ad-ef1fb31a480c/s3keys/78fa888e106456c1482d
Responses
put
/um/users/{userId}/s3keys/{keyId}

Delete Object storage keys

delete

Delete the specified user Object storage key.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
userIdstringRequired

The unique ID of the user.

keyIdstringRequired

The unique ID of the Object storage key.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
delete
/um/users/{userId}/s3keys/{keyId}

No content

Retrieve Object storage single sign-on URLs

get

Retrieve IONOS Cloud Object Storage single sign-on URLs for the the specified user. The user ID is in the response body when the user is created, and in the list of the users, returned by GET.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
userIdstringRequired

The unique ID of the user.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
get
/um/users/{userId}/s3ssourl

Last updated

Was this helpful?